<!--
 * @Descripttion: 
 * @version: 1.0.0
 * @Author: glc
 * @Date: 2023-06-01 14:36:06
 * @LastEditors: Andy
 * @LastEditTime: 2023-06-08 10:43:22
-->
<template>
  <div id="UEView">
    <ueContainer ref="ueContainer" :ueUrl="ueUrl" />

    <!-- <keep-alive>
      <router-view></router-view>
    </keep-alive> -->

    <emergency v-show="this.$route.path == '/xianCim/UEView/emergency'" />
    <lifeline v-show="this.$route.path == '/xianCim/UEView/lifeline'" />
    <publicSafety v-show="this.$route.path == '/xianCim/UEView/publicSafety'" />
    <societyGovern
      v-show="this.$route.path == '/xianCim/UEView/societyGovern'"
    />
    <warnAnalysis v-show="this.$route.path == '/xianCim/UEView/warnAnalysis'" />
    <smartPark v-show="this.$route.path == '/xianCim/UEView/smartPark'" />
  </div>
</template>
<script>
import ueContainer from "../outViews/ueContainer.vue";
import emergency from "@/views/xianCim/emergency/emergency";
import lifeline from "@/views/xianCim/lifeline";
import publicSafety from "@/views/xianCim/publicSafety";
import warnAnalysis from "@/views/xianCim/warnAnalysis";
import societyGovern from "@/views/xianCim/societyGovern/societyGovern";
import smartPark from "@/views/xianCim/smartPark/index";

export default {
  name: "UEView",
  components: {
    ueContainer,
    emergency,
    lifeline,
    publicSafety,
    societyGovern,
    warnAnalysis,
    smartPark,
  },
  data() {
    return {
      // ueUrl:'http://localhost:8091/'
      ueUrl: UEURL, //西安
    };
  },
  created() {},
  mounted() {
    window.onmessage = (e) => {
      let funcname = e.data.func_name;
      if (funcname === "sendUEPosition") {
        this.$store.commit("UPDATE_MAP_VIEW", e.data.data);
      } else if (funcname === "sendModuleType") {
        let pageName = e.data.data.pageName;
        this.$store.commit("SET_CURRENT_MENU", pageName);
      } else {
      }
    };
  },
  methods: {},
};
</script>
<style lang="less" scoped>
#UEView {
  width: 100%;
  height: 100%;
  overflow-y: hidden;
}
</style>
